.header-dark {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 32px 64px;
  width: 100%;
  background: none;
  position: relative;
  background: none !important;
}

html,
body {
  height: 100%;
  margin: 0;
  display: flex;
  flex-direction: column;
  background-color: var(--surface-primary);
}

.nav-item-group {
  display: flex;
  align-items: center;
  gap: 32px;
  list-style-type: none;
}


/******* SIDEBAR *******/

.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  z-index: 1000;

  display: flex;
  flex-direction: column;
  align-items: flex-start;

  width: 100%;

  background: var(--surface-primary);
  box-shadow: 0 0 4px -2px rgba(51, 51, 51, 0.12), 0 0 4px -2px rgba(51, 51, 51, 0.08);

  transform: translateX(100%);
  /* Start hidden off-screen to the left */
  transition: transform 0.3s cubic-bezier(0.4, 0.0, 0.2, 1);
  /* Smooth slide */
}

.sidebar.open {
  transform: translateX(0);
}

.header-sidebar {
  display: flex;
  flex-direction: row;
  padding: 24px 16px;
  justify-content: space-between;
  align-items: center;
  align-self: stretch;

  background: var(--brand-primary-heavy-l);
}

.closebtn {
  cursor: pointer;
}

.body-sidebar {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  align-self: stretch;

  gap: 8px;
}

.option-sidebar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  align-self: stretch;

  padding: 16px;

  text-align: end;
  text-decoration: none;
  color: var(--text-invert);

  background: var(--surface-secondary);
}


/*******************/

.section-slide-evento {
  position: relative;
  overflow: hidden;
  width: 100%;
  min-height: 44vh;
  height: 100vh;
}

.slide-wrapper {
  display: flex;
  height: 100%;
  width: 100%;
  transition: transform 0.9s ease-in-out;
}

.slide-item {
  flex: 0 0 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  position: relative;
}

.overlay {
  position: absolute;
  inset: 0;
  background: #00000080;
  z-index: 1;
}

.hero-texto a {
  margin: 0 45px;
}

.section-charging-evento {
  background-color: #ffffff;
  color: #3a3a3a;
  text-align: center;
  padding: 80px 20px;
  font-family: "Roboto", sans-serif;
}

.section-charging-evento p {
  font-size: 19px;
  max-width: 1000px;
  margin: 0 auto;
  text-align: center;
  letter-spacing: 0.8px;
}

@media (max-width: 992px) {
  .hero-texto a {
    margin: 0 20px;
  }

  .charge-me-gallery .bottom-row {
    grid-template-columns: repeat(3, 1fr) !important;
  }
}

@media (max-width: 768px) {
  .section-charging-evento {
    padding: 60px 10px;
  }

  .section-charging-evento p {
    font-size: 17px;
  }

  .hero-texto a {
    display: block;
    margin: 10px auto;
  }

  .charge-me-gallery .gallery-row,
  .charge-me-gallery .bottom-row {
    grid-template-columns: repeat(2, 1fr) !important;
  }
}

@media (max-width: 480px) {

  .btn-hero1,
  .btn-hero2 {
    padding: 8px 20px;
    font-size: 0.9em;
  }

  .charge-me-gallery .gallery-row,
  .charge-me-gallery .bottom-row {
    grid-template-columns: 1fr !important;
  }
}

.footer-widgets-inner {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  padding: 16px 0px;
  max-width: 1200px;
  margin: 0 auto;
}

.footer-box {
  flex: 1;
  min-width: 250px;
  margin-bottom: 30px;
}

.widget-title {
  font-size: 16px;
  text-transform: uppercase;
  color: #fff;
  border-left: 3px solid #ffffff;
  padding-left: 10px;
  margin-bottom: 15px;
}

.footer-box a {
  color: #97d374;
  text-decoration: none;
}

.footer-box a:hover {
  text-decoration: underline;
}

.social-icons a {
  margin-right: 10px;
}

.footer-bottom {
  background: #5cd43a;
  color: #fff;
  text-align: center;
  font-size: 14px;
  padding: 10px 0;
}

.footer-bottom a {
  color: #fff;
  text-decoration: none;
  font-weight: 500;
}

.footer-bottom a:hover {
  text-decoration: underline;
  opacity: 0.9;
}

@media (max-width: 600px) {
  .footer-widgets-inner {
    flex-direction: column;
    align-items: center;
    padding: 20px;
  }

  .footer-box {
    flex: 1 1 100%;
    min-width: 100%;
    text-align: center;
  }

  .widget-title {
    font-size: 14px;
    border-left: none;
    border-bottom: 2px solid #97d374;
    padding-left: 0;
    padding-bottom: 5px;
  }

  .social-icons a {
    margin-right: 8px;
  }

  .footer-bottom {
    font-size: 13px;
    padding: 12px 10px;
  }
}

header {
  position: fixed;
  backdrop-filter: blur(6px);
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
}

.navbar-nav {
  display: flex;
  align-items: center;
}

.nav-link {
  text-decoration: none;
  color: var(--text-default);
  transition: 0.3s;
}

.nav-link:hover {
  color: var(--text-hover);
}

.navbar-nav .nav-link:hover,
.navbar-nav .nav-link:focus {
  color: #00ff66;
}

.dropdown-item-container {
  list-style: none;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.dropdown-item-container:last-child {
  border-bottom: none;
}

.dropdown-item {
  color: #fff;
  transition: 0.3s;
  padding: 12px 15px;
  white-space: normal;
  font-size: 14px;
  text-transform: uppercase;
  line-height: 1.2;
  display: block;
}

.dropdown-item:hover {
  background-color: #00ff66 !important;
  /* color: #000 !important; */
}

.active-top-border {
  border-top: 3px solid #00ff66;
}

body {
  margin: 0;
  background-color: white;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  font-family: sans-serif;
}

.logo {
  color: #fff;
  font-size: 20px;
  font-weight: bold;
}


.menu-trigger {
  display: none;
  position: relative;
  cursor: pointer;
}

.menu-trigger span {
  top: 50%;
  transform: translateY(-50%);
}

.menu-trigger span::before {
  top: -8px;
}

.menu-trigger span::after {
  top: 8px;
}


.menu-trigger.active span {
  background: transparent;
}

.menu-trigger.active span::before {
  top: 0;
  transform: rotate(45deg);
}

.menu-trigger.active span::after {
  top: 0;
  transform: rotate(-45deg);
}

.nav-item {
  padding: 16px;
  cursor: pointer;
}


@media (max-width: 1280px) {
  .nav-item-group {
    gap: 24px;
  }

  .nav-item {
    padding: 8px;
  }

}

@media (max-width: 768px) {

  .menu-trigger {
    display: block;
  }

  .nav-item-group {
    position: fixed;
    top: 90px;
    left: 0;
    width: 100%;
    height: calc(100vh - 90px);
    /* background: #111; */

    flex-direction: column;
    align-items: center;
    padding-top: 40px;
    gap: 24px;

    transform: translateY(-100%);
    transition: transform 0.4s ease;
  }

  .nav-item-group.open {
    transform: translateY(0);
  }

  .nav-item-group li {
    width: 100%;
    text-align: center;
  }

  .nav-item-group li a {
    display: block;
    width: 100%;
    padding: 16px;
    font-size: 18px;
  }
}